package cz.zcu.kiv.redsys.dao;

import cz.zcu.kiv.redsys.model.osoby.Aktivita;
import cz.zcu.kiv.redsys.model.osoby.Clenstvi;
import cz.zcu.kiv.redsys.model.osoby.Osoba;
import cz.zcu.kiv.redsys.model.osoby.Pozice;
import java.util.List;

public interface OsobaDao {

    public Osoba getOsoba(int id);

    public Clenstvi getClenstvi(int id);

    public Aktivita getAktivita(int id);

    public Pozice getPozice(int id);

    public List<Osoba> getOsoby();

    public List<Osoba> getOsoby(boolean vcetneNeaktivnich);

    public List<Clenstvi> getClenstvi();

    public List<Clenstvi> getClenstvi(boolean vcetneNeaktivnich);

    public List<Aktivita> getAktivity();

    public List<Aktivita> getAktivity(boolean vcetneNeaktivnich);

    public List<Pozice> getPozice();

    public List<Pozice> getPozice(boolean vcetneNeaktivnich);

    public List<Aktivita> getAktivityDleOsoby(Osoba osoba);

    public List<Aktivita> getAktivityDleOsoby(Osoba osoba, boolean vcetneNeaktivnich);

    public List<Clenstvi> getClenstviDleOsoby(Osoba osoba);

    public List<Clenstvi> getClenstviDleOsoby(Osoba osoba, boolean vcetneNeaktivnich);

    public List<Pozice> getPoziceDleOsoby(Osoba osoba);

    public List<Pozice> getPoziceDleOsoby(Osoba osoba, boolean vcetneNeaktivnich);

    public List<Osoba> getOsobyDleClenstvi(Clenstvi clenstvi);

    public List<Osoba> getOsobyDleClenstvi(Clenstvi clenstvi, boolean vcetneNeaktivnich);

    public List<Osoba> getOsobyDleAktivity(Aktivita aktivita);

    public List<Osoba> getOsobyDleAktivity(Aktivita aktivita, boolean vcetneNeaktivnich);

    public List<Osoba> getOsobyDlePozice(Pozice pozice);

    public List<Osoba> getOsobyDlePozice(Pozice pozice, boolean vcetneNeaktivnich);

    public void ulozOsobu(Osoba osoba);

    public void ulozAktivitu(Aktivita aktivita);

    public void ulozClenstvi(Clenstvi clenstvi);

    public void ulozPozici(Pozice pozice);

    public void smazOsobu(Osoba osoba);

    public void smazAktivitu(Aktivita aktivita);

    public void smazClenstvi(Clenstvi clenstvi);

    public void smazPozici(Pozice pozice);

    public void pridejAktivituOsobe(Aktivita aktivita, Osoba osoba);

    public void pridejClenstviOsobe(Clenstvi clenstvi, Osoba osoba);

    public void pridejPoziciOsobe(Pozice pozice, Osoba osoba);
    
    public void odeberAktivituOsobe(Aktivita aktivita, Osoba osoba);

    public void odeberClenstviOsobe(Clenstvi clenstvi, Osoba osoba);

    public void odeberPoziciOsobe(Pozice pozice, Osoba osoba);

    public void deaktivujOsobu(Osoba osoba);

    public void deaktivujClenstvi(Clenstvi clenstvi);

    public void deaktivujAktivitu(Aktivita aktivita);

    public void deaktivujPozici(Pozice pozice);
}

