package cz.zcu.kiv.redsys.dao;

import cz.zcu.kiv.redsys.model.osoby.Osoba;
import cz.zcu.kiv.redsys.model.studium.PredmetVOboru;
import cz.zcu.kiv.redsys.model.studium.StudijniObor;
import cz.zcu.kiv.redsys.model.studium.StudijniPredmet;
import cz.zcu.kiv.redsys.model.studium.StudijniProgram;
import cz.zcu.kiv.redsys.model.studium.VyukaPredmetu;
import java.util.List;

public interface StudiumDao {

    public List<StudijniObor> getObory();
    
    public List<StudijniObor> getObory(boolean vcetneNeaktivnich);

    public List<StudijniPredmet> getPredmety();
    
    public List<StudijniPredmet> getPredmety(boolean vcetneNeaktivnich);

    public List<StudijniProgram> getProgramy();
    
    public List<StudijniProgram> getProgramy(boolean vcetneNeaktivnich);

    public StudijniObor getObor(int id);

    public StudijniProgram getProgram(int id);

    public StudijniPredmet getPredmet(int id);

    public List<StudijniObor> getOboryDleProgramu(StudijniProgram program);
    
    public List<StudijniObor> getOboryDleProgramu(StudijniProgram program, boolean vcetneNeaktivnich);

    public void ulozObor(StudijniObor obor);

    public void ulozPredmet(StudijniPredmet predmet);

    public void ulozProgram(StudijniProgram program);

    public void smazObor(StudijniObor obor);

    public void smazPredmet(StudijniPredmet predmet);

    public void smazProgram(StudijniProgram program);

    public void deaktivujObor(StudijniObor obor);

    public void deaktivujProgram(StudijniProgram program);

    public void deaktivujPredmet(StudijniPredmet predmet);
    
    public List<VyukaPredmetu> getVyukaPredmetuDleOsoby(Osoba osoba);
    
    public List<VyukaPredmetu> getVyukaPredmetuDleOsoby(Osoba osoba, boolean vcetneNeaktivnich);
    
    public List<VyukaPredmetu> getVyukaPredmetuDlePredmetu(StudijniPredmet predmet);
    
    public List<VyukaPredmetu> getVyukaPredmetuDlePredmetu(StudijniPredmet predmet, boolean vcetneNeaktivnich);
        
    public List<PredmetVOboru> getPredmetVOboruDleOboru(StudijniObor obor);
    
    public List<PredmetVOboru> getPredmetVOboruDleOboru(StudijniObor obor, boolean vcetneNeaktivnich);
    
    public List<PredmetVOboru> getPredmetVOboruDlePredmetu(StudijniPredmet predmet);
    
    public List<PredmetVOboru> getPredmetVOboruDlePredmetu(StudijniPredmet predmet, boolean vcetneNeaktivnich);
    
    public void pridejVyucujicihoPredmetu(VyukaPredmetu vyuka);
    
    public void odeberVyucujicihoPredmetu(VyukaPredmetu vyuka);
    
    public void pridejPredmetDoOboru(PredmetVOboru predmetVOboru);
    
    public void odeberPredmetZOboru(PredmetVOboru predmetVOboru);
}

