package cz.zcu.kiv.redsys.model.osoby;

import cz.zcu.kiv.redsys.model.ZakladniEntita; 
import cz.zcu.kiv.redsys.model.vyzkum.ClenstviVeSkupine; 
import cz.zcu.kiv.redsys.model.vyzkum.ClenstviVeVyzkumu; 
import cz.zcu.kiv.redsys.model.publikace.AutorstviPublikace; 
import cz.zcu.kiv.redsys.model.studium.Tema; 
import cz.zcu.kiv.redsys.model.studium.VyukaPredmetu; 
import cz.zcu.kiv.redsys.model.udalosti.Udalost; 
import java.util.List; 

public class Osoba extends ZakladniEntita {

    private List<Aktivita> aktivity;

    private List<Pozice> pozice;

    private List<Clenstvi> clenstvi;

    private List<Tema> garantovanaTemata;

    private List<Udalost> udalosti;

    private List<VyukaPredmetu> vyukaPredmetu;

    private List<AutorstviPublikace> autorstviPublikaci;

    private List<ClenstviVeVyzkumu> clenstviVeVyzkumu;

    private List<ClenstviVeSkupine> clenstviVeSkupinach;

    private Osoba skolitel;
    
    private String login;
    private String titulPred;
    private String jmeno;
    private String prijmeni;
    private String titulZa;
    private boolean jeNyniClenem; // neni to identicke s atributem 'aktivni'?
    private String email;
    private String telefon;
    private String kancelar;
    private String url;
    private String zivotopisCz;
    private String zivotopisEn;
    private String uredniHodiny;
    private boolean jeExterni;
    private String extPracovisteCz;
    private String extPracovisteEn;

    @Override
    public String toString() {
        return prijmeni+" "+jmeno;
    }
    
    
    public List<Aktivita> getAktivity () {
        return aktivity;
    }

    public void setAktivity (List<Aktivita> val) {
        this.aktivity = val;
    }

    public List<AutorstviPublikace> getAutorstviPublikaci () {
        return autorstviPublikaci;
    }

    public void setAutorstviPublikaci (List<AutorstviPublikace> val) {
        this.autorstviPublikaci = val;
    }

    public List<Clenstvi> getClenstvi () {
        return clenstvi;
    }

    public void setClenstvi (List<Clenstvi> val) {
        this.clenstvi = val;
    }

    public List<ClenstviVeSkupine> getClenstviVeSkupinach () {
        return clenstviVeSkupinach;
    }

    public void setClenstviVeSkupinach (List<ClenstviVeSkupine> val) {
        this.clenstviVeSkupinach = val;
    }

    public List<ClenstviVeVyzkumu> getClenstviVeVyzkumu () {
        return clenstviVeVyzkumu;
    }

    public void setClenstviVeVyzkumu (List<ClenstviVeVyzkumu> val) {
        this.clenstviVeVyzkumu = val;
    }

    public List<Tema> getGarantovanaTemata () {
        return garantovanaTemata;
    }

    public void setGarantovanaTemata (List<Tema> val) {
        this.garantovanaTemata = val;
    }

    public List<Pozice> getPozice () {
        return pozice;
    }

    public void setPozice (List<Pozice> val) {
        this.pozice = val;
    }

    public List<Udalost> getUdalosti () {
        return udalosti;
    }

    public void setUdalosti (List<Udalost> val) {
        this.udalosti = val;
    }

    public List<VyukaPredmetu> getVyukaPredmetu () {
        return vyukaPredmetu;
    }

    public void setVyukaPredmetu (List<VyukaPredmetu> val) {
        this.vyukaPredmetu = val;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getTitulPred() {
        return titulPred;
    }

    public void setTitulPred(String titulPred) {
        this.titulPred = titulPred;
    }

    public String getJmeno() {
        return jmeno;
    }

    public void setJmeno(String jmeno) {
        this.jmeno = jmeno;
    }

    public String getPrijmeni() {
        return prijmeni;
    }

    public void setPrijmeni(String prijmeni) {
        this.prijmeni = prijmeni;
    }

    public String getTitulZa() {
        return titulZa;
    }

    public void setTitulZa(String titulZa) {
        this.titulZa = titulZa;
    }

    public boolean isJeNyniClenem() {
        return jeNyniClenem;
    }

    public void setJeNyniClenem(boolean jeNyniClenem) {
        this.jeNyniClenem = jeNyniClenem;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getTelefon() {
        return telefon;
    }

    public void setTelefon(String telefon) {
        this.telefon = telefon;
    }

    public String getKancelar() {
        return kancelar;
    }

    public void setKancelar(String kancelar) {
        this.kancelar = kancelar;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getZivotopisCz() {
        return zivotopisCz;
    }

    public void setZivotopisCz(String zivotopisCz) {
        this.zivotopisCz = zivotopisCz;
    }

    public String getZivotopisEn() {
        return zivotopisEn;
    }

    public void setZivotopisEn(String zivotopisEn) {
        this.zivotopisEn = zivotopisEn;
    }

    public String getUredniHodiny() {
        return uredniHodiny;
    }

    public void setUredniHodiny(String uredniHodiny) {
        this.uredniHodiny = uredniHodiny;
    }

    public boolean isJeExterni() {
        return jeExterni;
    }

    public void setJeExterni(boolean jeExterni) {
        this.jeExterni = jeExterni;
    }

    public String getExtPracovisteCz() {
        return extPracovisteCz;
    }

    public void setExtPracovisteCz(String extPracovisteCz) {
        this.extPracovisteCz = extPracovisteCz;
    }

    public String getExtPracovisteEn() {
        return extPracovisteEn;
    }

    public void setExtPracovisteEn(String extPracovisteEn) {
        this.extPracovisteEn = extPracovisteEn;
    }

    public Osoba getSkolitel() {
        return skolitel;
    }

    public void setSkolitel(Osoba skolitel) {
        this.skolitel = skolitel;
    }
}

